using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SWEDA;
namespace Connect_C
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        int Retorna;

        

        private void btnTrocar_Click(object sender, EventArgs e)
        {
            StringBuilder Caminho = new StringBuilder();
            Retorna = ECFSWEDA.ECF_Registry_Path(Caminho.Append(txtCaminho.Text));
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
            if (Retorna == 1)
                MessageBox.Show("Caminho alterado com sucesso!");
            txtPath.Text = Caminho.ToString();
           
        }

        private void btnDiretorio_Click(object sender, EventArgs e)
        {
            StringBuilder caminho = new StringBuilder();

            Retorna = SWEDA.ECFSWEDA.ECF_RetornaPath(caminho);
            ECFSWEDA.Analisa_Retorno_Dll(Retorna);
            ECFSWEDA.Analisa_Retorno_ECF();
            lblDiretorio.Text = caminho.ToString();
                     
                      
        }

       

       

        
    }
}